# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3 rpm-macros-fedora-compat
# END SourceDeps(oneline)
%define oldname python-ssh
%define fedora 19
%global realname ssh

%if 0%{?fedora} > 16 || 0%{?rhel} > 6
%global with_python3 0
%endif

Name:           python-module-ssh
Version:        1.7.14
Release:        alt1_3
Summary:        A Python SSH2 library

Group:          Development/Python
License:        LGPLv2+
URL:            https://github.com/bitprophet/ssh
Source0:        http://pypi.python.org/packages/source/s/ssh/ssh-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires: python-module-Crypto python-module-Crypto-test
%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  /usr/bin/2to3
BuildRequires: python3-module-Crypto python3-module-Crypto-test
%endif # with_python3
Source44: import.info


%description
This is a library for making SSH2 connections (client or server). Emphasis is
on using SSH2 as an alternative to SSL for making secure connections between
python scripts. All major ciphers and hash methods are supported. SFTP client
and server mode are both supported too.

%if 0%{?with_python3}
%package -n python3-module-ssh
Summary:        A Python 3 SSH2 library
Group:          Development/Python

Requires: python3-module-Crypto python3-module-Crypto-test

%description -n python3-module-ssh
This is a library for making SSH2 connections (client or server). Emphasis is
on using SSH2 as an alternative to SSL for making secure connections between
python scripts. All major ciphers and hash methods are supported. SFTP client
and server mode are both supported too.
%endif # with_python3

%prep
%setup -q -n %{realname}-%{version}

rm -rf ssh.egg-info

%if 0%{?with_python3}
rm -rf %{_builddir}/python3-%{oldname}-%{version}-%{release}
cp -a . %{_builddir}/python3-%{oldname}-%{version}-%{release}
2to3 --write --nobackups %{_builddir}/python3-%{oldname}-%{version}-%{release}
# Convert tabs to 8 spaces
find %{_builddir}/python3-%{oldname}-%{version}-%{release} -name '*.py' -exec sed -i 's|\t|        |g' {} \;
%endif # with_python3

%build
%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py build
popd
%endif # with_python3

%{__python} setup.py build

%install

%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3

%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%check
%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} test.py --verbose
popd
%endif # with_python3

%{__python} test.py --verbose

%files
%doc LICENSE
%{python_sitelibdir_noarch}/%{realname}
%{python_sitelibdir_noarch}/%{realname}*%{version}*.egg-info

%if 0%{?with_python3}
%files -n python3-module-ssh
%doc LICENSE
%{python_sitelib3}/%{realname}
%{python_sitelib3}/%{realname}*%{version}*.egg-info
%endif # with_python3

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.7.14-alt1_3
- update to new release by fcimport

* Wed Dec 26 2012 Igor Vlasenko <viy@altlinux.ru> 1.7.14-alt1_2
- initial fc import

